<div class="card">
    <div class="card-header">
        <div class="page-header-title">
            <h4>{{ 'epdb.admin.product.category_list' | translate }}</h4>
        </div>
    </div>
    <div class="card-block">
        <div class="dt-responsive dt-bootstrap4 row p-20">
            <div class="col-md-12 col-xl-12 form-group text-right">
                <label class="col-form-label"></label>
                <button *ngIf="accesAddBtn" type="button" [routerLink]="['/admin/products/add-category']" class="btn btn-primary btn-md text-center">
                    <i class="icofont icofont-ui-add"></i> {{ 'epdb.admin.product.btn_add_category' | translate }}</button>
            </div>
            <div class="col-xs-12 col-sm-12 col-sm-12 col-md-6">
                <div>
                    <label class="label-control">{{'general.show' | translate}}
                        <select class="form-control input-sm full-data-show-entry" [(ngModel)]="rowsOnPage">
                            <option [ngValue]="10">10</option>
                            <option [ngValue]="25">25</option>
                            <option [ngValue]="50">50</option>
                            <option [ngValue]="100">100</option>
                        </select>
                        {{'general.entries' | translate}}
                    </label>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-6">
                <div class="text-right">
                    <label>{{'general.search' | translate}}:
                        <input type="search" [(ngModel)]="filterQuery" class="form-control input-sm full-data-search">
                    </label>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12" style="overflow-x:auto;">
                <table class="table table-striped table-bordered table-responsive full-data-table text-center pull-center" [mfData]="data | dataFilterCategory : filterQuery"
                    #mf="mfDataTable" [mfRowsOnPage]="rowsOnPage" [(mfSortBy)]="sortBy" [(mfSortOrder)]="sortOrder">
                    <thead>
                        <tr>
                            <th width="20%">
                                <mfDefaultSorter by="familyId">{{ 'epdb.admin.product.category_id' | translate }}</mfDefaultSorter>
                            </th>
                            <th width="70%">
                                <mfDefaultSorter by="familyName">{{ 'epdb.admin.product.category_name' | translate }}</mfDefaultSorter>
                            </th>
                            <th width="10%" *ngIf="accesUpdateBtn || accesDeleteBtn">{{ 'general.action' | translate }}</th>
                        </tr>
                    </thead>
                    <tbody *ngIf="data!=null">
                        <tr *ngFor="let item of mf.data">
                            <td>{{item.familyId}}</td>
                            <td class="text-left">{{item.familyName}}</td>
                            <td class="action-icon" *ngIf="accesUpdateBtn || accesDeleteBtn">
                                <a *ngIf="accesUpdateBtn" [routerLink]="['/admin/products/products-category-update',item.familyId]" class="m-r-15 text-muted f-18" ngbTooltip="{{'general.tool_tip_edit' | translate}}">
                                    <i class="icofont icofont-ui-edit"></i>
                                </a>
                                <a *ngIf="accesDeleteBtn" (click)="openConfirmsSwal(item.familyId)" class="text-muted f-18" ngbTooltip="{{'general.tool_tip_delete' | translate}}">
                                    <i class="icofont icofont-delete-alt" style="cursor: pointer"></i>
                                </a>
                            </td>
                        </tr>
                    </tbody>
                    <tfoot>
                        <tr *ngIf="data!=null">
                            <td colspan="3">
                                <mfBootstrapPaginator class="pagination-main f-right"></mfBootstrapPaginator>
                            </td>
                        </tr>
                        <tr *ngIf="data==null">
                            <td colspan="3" class="text-center">{{'general.loading_data' | translate}}</td>
                        </tr>
                        <tr *ngIf="data==''">
                            <td colspan="3" class="text-center">{{'general.data_empty' | translate}}</td>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>
</div>